<template>
  <v-container
    fluid
  >
    <v-row justify="center">
      <v-col
        cols="12"
        md="12"
      >
        <material-card
          color="primary"
        >
          <v-form>
            <v-container class="py-0">
              <v-row>
                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productId"
                    label="productId"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productProvider"
                    color="purple"
                    label="productProvider"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>
              </v-row>
              <v-row>
                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productCode"
                    color="purple"
                    s
                    label="productCode"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productName"
                    color="purple"
                    label="Name"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>

                <v-col

                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productCurrency"
                    color="purple"
                    label="Currency"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>
              </v-row>
              <v-row>
                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productAsset"
                    color="purple"
                    label="Asset"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productNetValue"
                    color="purple"
                    label="NetValue"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productFundManager"
                    color="purple"
                    label="FundManager"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>
              </v-row>
              <v-row>
                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.productCreateTime"
                    color="purple"
                    label="CreateTime"
                    :disabled="Boolean(cannotchange)"
                  />
                </v-col>
              </v-row>
            </v-container>
          </v-form>
        </material-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
// {
//     "status": "返回状态（需要规定状态数以确认是否有企业信息）",
//     "userName": "企业用户名（如BaiDu）",
//     "userCode": "企业编码（工商注册号如310115400176517）",
//      "applyTime":"申请时间"
//     "borrowerName": "企业名（如百度（中国）有限公司）",
//     "borrowerTelephone": "企业电话",
//     "borrowerAddress": "企业地址",
//     "borrowerEmail": "企业邮箱",
//     "borrowerLink": "企业天眼查链接"
// }
  export default {
    name: 'ProductsInformation',
    props: ['example', 'cannotchange'],
    data () {
      return {
        // names数组，用来存储所有的变量key名字
        names: [],
        // example: {
        //   productId: 10005,
        //   productProvder: 22,
        //   productCode: 222,
        //   productName: '人寿2',
        //   productCurrency: '人民币',
        //   productAsset: '规模',
        //   productNetValue: '净值',
        //   productFundManager: 'nobody',
        //   productCreateTime: '成立时间',
        // },
      }
    },
    mounted: function () {
      // console.log(this.example.productId)
      // 我们把所有的属性名字都放在一起
    },
  }
</script>
